Name:           tvtime
Version:        1.0.11
Release:        %mkrel 7
Summary:        High quality television application
Group:          Video/Players
License:        GPLv2+ and LGPLv2+
URL:            http://tvtime.net/
Source0:        https://linuxtv.org/downloads/tvtime/%{name}-%{version}.tar.gz
Patch0:         tvtime-1.0.10-honor-cflags.patch
# https://sourceforge.net/p/tvtime/patches/46
Patch1:         tvtime-1.0.6-mga-desktop.patch
Patch4:         0004-Fix-warning-implicit-declaration-of-function-minor-m.patch
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  freetype2-devel
BuildRequires:  pkgconfig(sdl)
BuildRequires:	pkgconfig(xv)
BuildRequires:	pkgconfig(xtst)
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(xxf86vm)
BuildRequires:	desktop-file-utils
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(alsa)

%description
Tvtime is a high quality television application for use with video
capture cards.  tvtime processes the input from a capture card and
displays it on a computer monitor or projector.  Unlike other television
applications, tvtime focuses on high visual quality making it ideal for
videophiles.

  tvtime supports:

  o   Deinterlaced output at full interlaced rate of 59.94 frames per
      second for NTSC source, or 50 frames per second for PAL sources.
      This gives smoothness of motion and high visual quality.

  o   Multiple deinterlacing algorithms for finding the optimal mode for
      your video content and available processor speed.

  o   16:9 aspect ratio mode for the highest available resolution when
      processing input from an external DVD player or digital satellite
      receiver.

  o   A super-slick on-screen-display for the complete television
      experience, with a featureful menu system.

  o   2-3 pulldown detection for optimal quality viewing of film content
      from NTSC sources.

%package doc
Summary:	User manual for %{name}
Group:		Video/Editors and Converters
BuildArch:	noarch

%description doc
This package contains the user manual for %{name}.

%prep
%setup -q
%autopatch -p1

%build
%configure
%make_build

%install
%make_install ROOT=%{buildroot}

#xdg
desktop-file-install --vendor="" \
    --add-category='TV' \
    --add-category='Video' \
    --add-category='X-Mageia-CrossDesktop' \
    --dir %{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/applications/*

install -d %{buildroot}%{_docdir}/%{name}
ln -sf ../%{name}-doc/html %{buildroot}%{_docdir}/%{name}

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README
%doc data/COPYING.FreeMonoBold data/COPYING.tvtimeSansBold
%exclude %{_docdir}/%{name}/html
%{_bindir}/*
%{_mandir}/man?/*
%lang(de) %{_mandir}/de/man?/*
%lang(es) %{_mandir}/es/man?/*
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/tvtime.xml
%{_datadir}/%{name}
# freedesktop stuff
%{_datadir}/appdata/tvtime.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/*/%{name}.png

%files doc
%doc ChangeLog
%doc docs/html
%doc %{_docdir}/%{name}/html


%changelog
* Mon Jul 07 2025 umeabot <umeabot> 1.0.11-7.mga10
+ Revision: 2248620
- Mageia 10 Mass Rebuild

* Sun Mar 16 2025 wally <wally> 1.0.11-6.mga10
+ Revision: 2165049
- rebuild for libxml2 2.13.6

* Wed Aug 10 2022 pol4n <pol4n> 1.0.11-5.mga9
+ Revision: 1876668
- Add pkgconfig(alsa) as BuildRequires
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.0.11-3.mga8
+ Revision: 1518482
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Oct 02 2018 daviddavid <daviddavid> 1.0.11-2.mga7
+ Revision: 1315865
- add upstream patch to fix build with new glibc
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Sun Jan 01 2017 luigiwalser <luigiwalser> 1.0.11-1.mga6
+ Revision: 1078994
- 1.0.11
- remove upstreamed patches

* Tue May 10 2016 luigiwalser <luigiwalser> 1.0.10-1.mga6
+ Revision: 1011914
- 1.0.10
- add bugfix patches from fedora
- remove patch 5 (apparently fixed upstream)
- rediff patch 6

* Wed Feb 17 2016 umeabot <umeabot> 1.0.8-2.mga6
+ Revision: 963118
- Mageia 6 Mass Rebuild

* Mon Oct 26 2015 zezinho <zezinho> 1.0.8-1.mga6
+ Revision: 895602
- new version 1.0.8

* Mon Jan 19 2015 luigiwalser <luigiwalser> 1.0.6-2.mga5
+ Revision: 811572
- rebuild for release

* Mon Jan 12 2015 luigiwalser <luigiwalser> 1.0.6-1.mga5
+ Revision: 810096
- 1.0.6
- remove patches 0,1,2,3,4,6 (fixed upstream)
- rediff patch 5, 7
- fix source URL

* Wed Nov 26 2014 alexl <alexl> 1.0.2-20.mga5
+ Revision: 799318
- translated desktop file (desktop.patch)
- moved from spec into desktop.patch equivalently

* Wed Oct 15 2014 umeabot <umeabot> 1.0.2-19.mga5
+ Revision: 740484
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.2-18.mga5
+ Revision: 689995
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0.2-17.mga4
+ Revision: 526447
- Mageia 4 Mass Rebuild

* Tue Jun 04 2013 fwang <fwang> 1.0.2-16.mga4
+ Revision: 436949
- rebuild for new libpng

* Mon Jan 14 2013 umeabot <umeabot> 1.0.2-15.mga3
+ Revision: 384915
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 27 2012 zezinho <zezinho> 1.0.2-14.mga3
+ Revision: 322433
- fix rpm group

* Thu Nov 10 2011 blino <blino> 1.0.2-13.mga2
+ Revision: 166039
- exclude html symlink from main package
- split HTML doc files in a doc subpackage

* Thu Sep 15 2011 fwang <fwang> 1.0.2-12.mga2
+ Revision: 144060
- fix header file location
- fix build with libpng1.5

* Thu Feb 24 2011 ennael <ennael> 1.0.2-12.mga1
+ Revision: 59103
- clean spec file
- imported package tvtime


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-12mdv2011.0
+ Revision: 608045
- rebuild

* Sun Mar 21 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.2-11mdv2010.1
+ Revision: 526282
- apply sf.net patch to save matte setting (fix #58298)

* Wed Feb 10 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.2-10mdv2010.1
+ Revision: 503844
- add a patch from linux-uvc project to fix some issue with Philipps webcams (#57557)

* Mon Aug 24 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.0.2-9mdv2010.0
+ Revision: 420289
- o add patch from fedora to fix build
  o no need to run autoreconf

* Sat Apr 11 2009 Funda Wang <fwang@mandriva.org> 1.0.2-8mdv2009.1
+ Revision: 366390
- fix str fmt

  + Antoine Ginies <aginies@mandriva.com>
    - rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.0.2-7mdv2009.0
+ Revision: 225892
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu Jan 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.2-6mdv2008.1
+ Revision: 154063
- add X-MandrivaLinux-CrossDesktop catgeory to xdg menu (fix #36901)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Sep 25 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.2-5mdv2008.0
+ Revision: 92927
- fix icon specification in menu

* Thu Aug 30 2007 Adam Williamson <awilliamson@mandriva.org> 1.0.2-4mdv2008.0
+ Revision: 76329
- rebuild for 2008
- don't package copying
- add crossdesktop xdg category so it will show in top level of menus (it's the best tv app for all desktops)
- drop old menu and icons
- add patch1 (fix build by using system v4l / v4l2 headers rather than the obsolete included ones)
- use Fedora license policy

  + Oden Eriksson <oeriksson@mandriva.com>
    - Import tvtime



* Wed Sep 06 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.0.2-3
- add BuildRequires: libxv-devel libxtst-devel libice-devel libsm-devel
                     libxinerama-devel libxxf86vm-devel desktop-file-utils

* Fri Jul 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.2-2mdv2007.0
- fix compilation
- xdg menu

* Fri Nov 18 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.2-1mdk
- New release 1.0.2

* Thu Sep 08 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.1-1mdk
- New release 1.0.1
- drop patch0

* Sat Jul 30 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.99-2mdk
- Fix Build with gcc4 ( patch from fedora )

* Mon Apr 25 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.99-1mdk
- New release 0.99
- spec cleanup

* Tue Nov 02 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.9.15-1mdk 
- New release 0.9.15
- updated description, additional filters no more useful

* Fri Oct 29 2004 Guillaume Rousse <guillomovitch@mandrakesoft.com> 0.9.14-1mdk
- New release 0.9.14

* Thu Nov 27 2003 Guillaume Rousse <guillomovitch@mandrake.org> 0.9.12-2mdk
- buildrequires libSDL-devel

* Tue Nov 25 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.9.12-1mdk
- new version

* Mon Nov 17 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.9.11-1mdk
- new version

* Sat Sep 13 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.9.10-3mdk
- included yet other missing doc files

* Sat Sep 13 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.9.10-2mdk
- dropped additional icons files, they are already present in tarball

* Sat Sep 13 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.9.10-1mdk
- 0.9.10
- removed included DScaler libraries
- updated description
- fixed menu entry  
- fixed URL
- fixed doc files
- used original icons
- added freedesktop files

* Fri Sep 05 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.9.9-1mdk
- 0.9.9

* Fri Jul 25 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.9.8.5-2mdk
- rebuild
- change summary macro to avoid possible conflicts if we were to build debug package

* Sat Jun 21 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.9.8.5-1mdk
- 0.9.8.5
- icon

* Fri May 09 2003 Laurent Culioli <laurent@pschit.net> 0.9.8.2-1mdk
- initial release
